{
  "compilerOptions": {
    "target": "es5",
    "module": "commonjs",
    "rootDir": "./src/",
    "importHelpers": true,
    /* Strict Type-Checking Options */
    /* "strict": true, */
    /* "strictNullChecks": true, */
    "strictFunctionTypes": true,
    "noImplicitThis": true,
    /* "alwaysStrict": true, */

    /* Additional Checks */
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    /*"noUncheckedIndexedAccess": true, */
    /*"noPropertyAccessFromIndexSignature": true, */

    /* Module Resolution Options */
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
	"resolveJsonModule": true
  }
}
